<?php

spl_autoload_register(function($className) {
	$parts = explode('\\', $className);

	if (count($parts) == 2) {
		$path = dirname(__FILE__) 
			. DIRECTORY_SEPARATOR 
			. '..'
			. DIRECTORY_SEPARATOR
			. $parts[0] 
			. DIRECTORY_SEPARATOR 
			. $parts[1] 
			. '.php';

		if (file_exists($path)) {
			require_once $path;
		}
	}
});

?>
