<?php

namespace Repositories {
	
	use Framework\Repository;
	use Framework\PageInfo;
	use Framework\SortInfo;
	use Framework\Filter;
	
	use Models\NotificationService;
	
	class NotificationServiceRepository extends Repository {
		public function getList(Filter $filter = null, PageInfo $pageInfo = null, SortInfo $sortInfo = null) {
			$services = array();
			
			$query = 'SELECT id, senderToken FROM NotificationServices';
			
			$statement = $this->dataBase->prepare($query);
			$statement->execute();
			$statement->bind_result($serviceId, $serviceSenderToken);
			
			while ($statement->fetch()) {
				
				$service = new NotificationService;
				$service->Id = $serviceId;
				$service->SenderToken = $serviceSenderToken;
				
				$services[] = $service;
			}
			
			$statement->close();
			
			return $services;
		}
		
		public function getById($itemId) {
			return null;
		}
		
		protected function getItemsFromStatement(\mysqli_stmt $statement) {
			return null;
		}
	}
}

?>