<?php

include('lib/sql.php');
include('lib/utils.php');

if(!function_exists('auth_wrapper'))
{

	function auth_wrapper() {}

	
	/********************************
	* See if user currently has a session.
	*
	*/
	function authorized()
	{
		session_start();

		if(!isset($_SESSION['uguid']))
			return false;
		
		else 			
			return getUserId($_SESSION['uguid']);
		
	}

	/********************************
	* Get user's userid from the uguid
	*
	*/
	function getUserId($uguid)
	{
		$userid = sqlNumber("SELECT id "
									. " FROM Users "
									. " WHERE guid = '". cleanParam($uguid) ."'",
									"id");

		if($userid <=0)
			error('Unauthorized user id.');

		return $userid;
	}
	
	
	if (!isset($_COOKIE['PHPSESSID']) && isset($_GET['PHPSESSID']))
	{
		session_id($_GET['PHPSESSID']);
	}

	/* We'll set this when we need to */
	$currentUserGroup = "";
	$currentUserId = authorized();

	if(!$currentUserId)	{error('Error Code: 100. Unauthorized - please login'); }
}


?>
