<?php

include('lib/sql.php');

if(!function_exists('userReports_wrapper'))
{

	function userReports_wrapper() { }

	
	function handleUserReportAction($action)
	{
		if($action == null)
			error('Unauthorized');

		switch($action)
		{
			
			case 'get':
				global $currentUserId;
				echo getUserStatsGroups($currentUserId);
			break;

			case 'delete':
				echo deleteUserStatsGroup(req('id'));
			break;

			case 'add-stat':
				// rename, or add or remove stats from the report
				echo addStatsToGroup(req('groupId'), req('hostsAndStats'));

			break;

			case 'remove-stat':
				// rename, or add or remove stats from the report
				echo removeStatFromGroup(req('recordId'));

			break;

			case 'create':
				echo createUserStatsGroup(req('name'));
			break;

			case 'update':
				echo modifyUserStatsGroup(req('id'), req('name'));

			break;

		}

	}

	/***********************************************************************
	* Get a list of reports for the given user.
	*
	*/
	function getUserStatsGroups($userId)
	{
		$userId = (int) $userId;

		$retVal = "<statsGroups>";
		
		$query = "SELECT * FROM UserStatsGroup "
			. " WHERE userId = $userId ";

		$conn = getConnection();
		$result = @mysql_query($query, $conn);
		sqlError("Unable to get user's statistic reports! ");

		$numrows = mysql_numrows($result);

		$i = 0;

		while($i < $numrows)
		{	
			$row = mysql_fetch_assoc($result);
 			
			$groupId = (int) $row['id'];

			$retVal .= "<statsGroup id='$groupId'> ";

			$retVal .= tag('name', $row['name'], true);
			$retVal .= tag('id', $groupId);

			$retVal .= getGroupStats($groupId);

			$retVal .= "</statsGroup>";

			$i++;
		}

		$retVal .= "</statsGroups>";

		return $retVal;
	
	}

	/***********************************************************************
	* Add a device(s) to a graph.
	*/
	function configureGraph($graphId, $s_hostIds)
	{
		$groupId = (int) $groupId;
		$hostIds = explode(",", $s_hostIds);
		
		foreach($hostsAndStats as $pair)
		{
				
			$values = explode(',', $pair);

			if(!is_array($values) || count($values) != 2)
				continue;

			$hostId = (int) $values[0];
			$statsDefId = (int) $values[1];

			if($hostId <=0 || $statsDefId <=0) 	continue;

			$query = "INSERT INTO UserStats "
					. " ( userStatsGroupId, statsDefId, hostId ) "
					. " VALUES "
					. " ( $groupId , $statsDefId, $hostId )";

			@sqlInsert($query);
			sqlError("Unable to modify report! ");

		}

		return tag('result', 'success');


	}

	function removeStatFromGroup($recordId)
	{

		$recordId= (int) $recordId;

		$query = "DELETE FROM UserStats WHERE id = $recordId ";

		@sqlUpdate($query);
		sqlError("Unable to modify report! ");

		return tag('result', 'success');


	}

	function modifyUserStatsGroup($id, $name)
	{

		$id = (int) $id;
	
		$query = "UPDATE UserStatsGroup "	
			. " SET name = '$name'  "
			. " WHERE id = $id ";

		@sqlUpdate($query);
		sqlError("Unable to alter report!");

		return tag('result', 'success');

	}

	function createUserStatsGroup($name)
	{
		global $currentUserId;

		$query = "INSERT INTO UserStatsGroup "	
			. " (name, userid) "
			. " VALUES "
			. " ('$name', $currentUserId)";

		@sqlInsert($query);
		sqlError("Unable to create group!");

		return tag('result', 'success');

	}

	function deleteUserStatsGroup($id)
	{

		$id = (int) $id;

		$query = "DELETE FROM UserStats WHERE userStatsGroupId = $id";

		@sqlUpdate($query);
		sqlError("Unable to remove report! ");

		$query = "DELETE FROM UserStatsGroup WHERE id = $id";

		@sqlUpdate($query);
		sqlError("Unable to remove report! ");


		return tag('result', 'success');

	}

}

?>
