<?php

if(!function_exists('utils_wrapper'))
{

	function utils_wrapper() {}

	/****************************************************
	* Determine if we're on a windows system
	*
	**/
	function isWindows()
	{
		$os = getenv('OS');

		$os = ' ' . strtoupper($os);

		return strpos($os, 'WINDOWS') > 0;

	}

	/****************************************************
	* Get an XML tag
	*
	**/
	function tag($tagName, $value, $cdata=FALSE, $attr="")
	{

		if($attr != "") $attr = " $attr ";

		return "<$tagName". "$attr>" . ($cdata? "<![CDATA[" : "") . $value . ($cdata ? "]]>" : "") . "</" . $tagName . ">\n";
	}

	function cdata($data)
	{
		return  "<![CDATA[" . $data . "]]>";
	}

	/****************************************************
	* Get an error message
	*
	**/
	function error($msg)
	{
		ob_end_clean();
		die("<result><error><msg>$msg</msg></error></result>");

	}

	function req($name)
	{
		if (!array_key_exists($name, $_REQUEST)) 
		{
			return "";
		}
		
		return $_REQUEST[$name];
	}

	function rand_str($length = 32)
	{
		 $chars = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890';

		 // Length of character list
		 $chars_length = (strlen($chars) - 1);

		$string = '';
		 // Generate random string
		 for ($i = 0; $i < $length; $i++)
		 {
		     // Grab a random character from our list
		     $r = $chars{rand(0, $chars_length)};

		     $string .=  $r;
		 }

		 // Return the string
		 return $string;
	}

}


?>
