<?php

/**
 * @uri /users
 */
class UsersCollection extends Framework\Resource {
	/**
	 * @method GET
	 * @provides application/json
	 */
	public function getList() {
		$repository = new Repositories\UserRepository($this->dataBase);
		return new Tonic\Response(200, $repository->getList(
				$this->filter,
				$this->pageInfo,
				$this->sortInfo
			)
		);
	}
}


?>
