<?php

include('lib/sql.php');
include('lib/user.php');
include('lib/maps.php');
include('lib/permissions.php');
include('lib/utils.php');
include('lib/system-settings.php');
include('lib/user-settings.php');
include('lib/manage-alarm.php');


if(!function_exists('login_wrapper'))
{
	function login_wrapper() {}

	/*****************************************
	*	Check users credentials.
	*  If authorized, also gather and send back:
	*    - network permissions
	* 	  - tab level permissions
 	*    - settings
   *    - quick links
   *    - user info
	******************************************/
	function login($username, $password)
	{

		global $salt;

		$unauth =  " <result><status>unauthorized</status>"
					. " <msg>Bad user name or password.</msg></result>";


		if($username == null || $password == null)
			return $unauth;
		
		$hash = md5($password . $salt);


		$conn = @getConnection();

		$result = @mysql_query( "SELECT password, username, id, guid "
									. " FROM Users "
									. " WHERE username = '". cleanParam($username) . "' "
									. " AND password = '$hash'"
									. " AND deleted = 0 ",
									 $conn);

		if(!$result)
			error("Unable to connect to database.");

		$numRows = mysql_numrows($result);
		
		if($numRows <=0) 	// Bad pass
		{
			echo $unauth; 
			return;
		}

		$username2check = mysql_result($result, 0, 'username');
		$pass2check		 = mysql_result($result, 0, 'password');
		$userid			 = mysql_result($result, 0, 'id');
		$uguid			 = mysql_result($result, 0, 'guid');

		/* Username and pass are case sensitive */
		if($username2check != $username || $pass2check != $hash)
		{

			echo $unauth;
			return;
		}

		session_start();

		$_SESSION['uguid'] = $uguid;

		// do this to initialize any missing values, going to do alarm defs here
		createStandardAlarmDefs();
		
		// do this to insert any missing tab values 
		createStandardTabs();

		// do this to update lat/lon of hosts
		setLocalLatLng();

		return "<result>\n"
			."<status>authorized</status>\n"
			."<data>\n"
			. tag('sessionId',		session_id())
			. tag('userinfo', 		getUserInfoXML($userid))
			. tag('tabpermissions', getTabPermissionsXML($userid))
			. tag('networks', 		getAllowableNetworksXML($userid))
			. tag('allnetworks',    getSelectableNetworksXML($userid))
			. getSystemSettings($userid)
			. getUserSettings($userid)
			."</data>\n"
			."</result>";
	

	}

	function logout()
	{
		session_destroy();

		$_SESSION['uguid'] = "";

		echo tag('result', 'success');
	}

}

?>
