<?php

if (!function_exists('verify_utils_wrapper')) {

  function verify_utils_wrapper()
  {
  }
  
  include('lib/settings-utils.php');
  
  function encryptToken($token, $passPhrase)
  {
    $salt = sprintf('$1$%08x$', crc32($passPhrase));
    
    $encrypted = crypt($token, $salt);
    $encrypted = substr($encrypted, strlen($salt));
    
    return $encrypted;
  }
 
  
  function verifyServerURL($baseURL)
  {
    $scriptPath = $_SERVER['PHP_SELF'];
    $scriptPath = str_replace(basename($scriptPath), '', $scriptPath);
    
    $settings = getSystemSettingsArray();
    
    $publicUUID = $settings['SystemPublicUuid'];
    $privateUUID = $settings['SystemPrivateUuid'];
    
    $url = $baseURL . $scriptPath . 'ping.php?uuid=' . $publicUUID;
    
    $response = @file_get_contents($url);
    
    if ($response === FALSE) {
      return FALSE;
    }
    
    return $response === encryptToken($publicUUID, $privateUUID);
  }
  
  function verifyMailSettings()
  {
    return TRUE;
  }
}


?>